using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.InteractionChannel
{

	[Serializable]
	public class InteractionChannelException : SkyscraperException
	{
		public InteractionChannelException() { }
		public InteractionChannelException(string message) : base(message) { }
		public InteractionChannelException(string message, Exception inner) : base(message, inner) { }
		protected InteractionChannelException(
		  System.Runtime.Serialization.SerializationInfo info,
		  System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
	}



	[Serializable]
	public class NoInteractionChannelHandlerException : Exception
	{
		public NoInteractionChannelHandlerException() { }
		public NoInteractionChannelHandlerException(string message) : base(message) { }
		public NoInteractionChannelHandlerException(string message, Exception inner) : base(message, inner) { }
		protected NoInteractionChannelHandlerException(
		  System.Runtime.Serialization.SerializationInfo info,
		  System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
	}
}
